<?php

	// check acces authorization
	session_start();
	if($_SESSION['user']!="admin"){
		echo "Unauthorized access.";
		die();
	}
	
	// load core files
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");
	
	// check if settings already exists and if so, load it, otherwise set parameters to default values
	if(file_exists("settings.php")){
		include("settings.php");
	}

	if(!isset($metOfficeAPI)){
		$metOfficeAPI = "";
	}
	if(!isset($cacheTime)){
		$cacheTime = 300;
	}
	
	
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $pageName?></title>
		<?php metaHeader()?>
		<style>
			
		</style>
	</head>
	<body>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php")?>
		</div>
		<div id="main" style="text-align:center">
			<h1>Extremes UK - Setup</h1>
			<form method="POST" action="saveSettings.php" target="_blank">
				<table style="width:98%;margin:0 auto">
					<tr>
						<td style="text-align:left;width:300px">
							MetOffice API key
						</td>
						<td style="text-align:left">
							<input class="button2" value="<?php echo $metOfficeAPI?>" name="metOfficeAPI" style="width:300px"><br>metOffice API - get yours free at https://register.metoffice.gov.uk/WaveRegistrationClient/public/register.do?service=datapoint
						</td>
					</tr>
					<tr>
						<td style="text-align:left">
							Cache time
						</td>
						<td style="text-align:left">
							<input class="button2" value="<?php echo $cacheTime?>" name="cacheTime" size="3"><br>cache time in minutes
						</td>
					</tr>
				</table>
				<div style="width:50%;text-align:center;margin:0 auto">
					<input type="submit" value="Save" class="button2">
				</div>
			</form>
		</div>
		<?php include($baseURL."footer.php")?>
	</body>
</html>